Subject: pkg/5606: spice pkg requires X, but USE_X11 not set.
To: None <>
From: Tim Rightnour <>
List: netbsd-bugs
Date: 06/18/1998 03:00:13
>Number:         5606
>Category:       pkg
>Synopsis:       spice pkg requires X, but USE_X11 not set.
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    gnats-admin (GNATS administrator)
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Jun 18 02:50:01 1998
>Originator:     Tim Rightnour
Tim Rightnour    -
>Release:        6/10/98<NetBSD-current source date>
System: NetBSD polaris 1.3 NetBSD 1.3 (POLARIS) #0: Thu Mar 26 13:17:18 MST 1998 root@polaris:/usr/src/sys/arch/i386/compile/POLARIS i386

The spice pkg (cad/spice) requires X11 to compile, but doesn't set USE_X11.
So on a machine without X, it bombs out after wasting alot of the user's
time and patience.

rm -r /usr/X11R6
cd /usr/pkgsrc/cad/spice
--- Makefile.orig       Thu Jun 18 02:56:18 1998
+++ Makefile    Thu Jun 18 02:56:30 1998
@@ -17,3 +17,3 @@
 #PATCHFILES=   grid.patch newcoms.patch spsmp.patch
+USE_X11=       yes